- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Full name: projects.locations.instances.integrations.extractIntegrationDetails
Get the zip file content before importing an integration to the system
HTTP request
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of integrations. Format: projects/{project}/locations/{location}/instances/{instance}/integrations |
Query parameters
| Parameters | |
|---|---|
integrationPackage |
Required. Zipped integration package data in base64. Includes the following folders according to the integrations items: Actions, Connectors, Jobs, Managers, Dependencies Each folder includes json files and a python file for the script. Includes metadata.json file includes integration definition json file A base64-encoded string. |
Request body
The request body must be empty.
Response body
Response message for extracting integration details.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "integrationIdentifier": string, "actions": [ string ], "jobs": [ string ], "connectors": [ string ], "managers": [ string ], "customFamilies": [ string ], "exampleUsecases": [ string ], "mappingRules": [ string ], "version": string, "pythonVersion": enum ( |
| Fields | |
|---|---|
integrationIdentifier |
Required. The extracted integration identifier name. |
actions[] |
Output only. Extracted actions names. |
jobs[] |
Output only. Extracted jobs names. |
connectors[] |
Output only. Extracted connector names. |
managers[] |
Output only. Extracted managers names. |
customFamilies[] |
Output only. Extracted custom families names. |
exampleUsecases[] |
Output only. Extracted example usecases names. |
mappingRules[] |
Output only. Extracted mapping rules names. |
version |
Output only. Integration version. |
pythonVersion |
Output only. Integration's python version. |
existingIntegration |
Output only. The existing integration in the system with the same display name as the one that the user wants to import. |
diff |
Output only. The difference between the existing integration and the imported one. |
custom |
Output only. Is the integration custom or commercial. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.